Package com.arms.api.report.mail.service.mail

## Class MailServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.report.mail.service.mail.MailServiceImpl

- All Implemented Interfaces:
    `MailService`, `TreeService`

      @Service("mailService")
      public class MailServiceImpl
      extends TreeServiceImpl
      implements MailService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MailServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.mail.javamail.JavaMailSenderImpl` | `createMailSender​(SenderEntity smtpConfig)` |
    `java.lang.String` | `fetchHtmlData()` |
    `java.lang.String` | `generateChartImage()` |
    `SenderEntity` | `getSenderConfig()` |
    `java.util.List<EmailSendResult>` | `sendEmailsToAllUsers()` |
    `EmailSendResult` | `sendTestEmail​(java.lang.String userEmail)` |
    `java.util.List<EmailSendResult>` | `sendTestEmailsToAllUsers()` |
    `EmailSendResult` | `validateSmtpConfig​(SenderDTO senderDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailServiceImpl

          public MailServiceImpl()

  - ### Method Detail

    - #### validateSmtpConfig

          public EmailSendResult validateSmtpConfig​(SenderDTO senderDTO)
                                             throws java.lang.Exception

      Specified by:
        `validateSmtpConfig` in interface `MailService`
      Throws:
        `java.lang.Exception`

    - #### sendTestEmailsToAllUsers

          public java.util.List<EmailSendResult> sendTestEmailsToAllUsers()
                                                                   throws java.lang.Exception

      Specified by:
        `sendTestEmailsToAllUsers` in interface `MailService`
      Throws:
        `java.lang.Exception`

    - #### sendTestEmail

          public EmailSendResult sendTestEmail​(java.lang.String userEmail)
                                        throws java.lang.Exception

      Specified by:
        `sendTestEmail` in interface `MailService`
      Throws:
        `java.lang.Exception`

    - #### sendEmailsToAllUsers

          public java.util.List<EmailSendResult> sendEmailsToAllUsers()
                                                               throws java.lang.Exception

      Specified by:
        `sendEmailsToAllUsers` in interface `MailService`
      Throws:
        `java.lang.Exception`

    - #### getSenderConfig

          public SenderEntity getSenderConfig()
                                       throws java.lang.Exception

      Specified by:
        `getSenderConfig` in interface `MailService`
      Throws:
        `java.lang.Exception`

    - #### createMailSender

          public org.springframework.mail.javamail.JavaMailSenderImpl createMailSender​(SenderEntity smtpConfig)

      Specified by:
        `createMailSender` in interface `MailService`

    - #### fetchHtmlData

          public java.lang.String fetchHtmlData()
                                         throws java.lang.Exception

      Specified by:
        `fetchHtmlData` in interface `MailService`
      Throws:
        `java.lang.Exception`

    - #### generateChartImage

          public java.lang.String generateChartImage()
                                              throws java.lang.Exception

      Specified by:
        `generateChartImage` in interface `MailService`
      Throws:
        `java.lang.Exception`